#include<stdio.h>
#include<stdlib.h>
#include<string.h>

typedef struct deteS
{
	char *ime, *otac, *majka;
}dete;

typedef struct clanS
{
	dete *podatak;
	struct clanS *next;
}clan;

#define novi(x) x=(clan*)malloc(sizeof(clan))
#define noviD(x) x=(dete*)malloc(sizeof(dete))

clan* dodajNaKraj(clan *prvi, dete *det)
{
	clan *temp, *trenutni;
	novi(temp);
	if(!temp)
	{
		printf("Greska pri alokaciji memorije\n");
		exit(0);
	}
	
	temp->podatak = det;
	temp->next = NULL;
	
	if(prvi == NULL) prvi = temp;
	else
	{
		trenutni = prvi;
		while(trenutni->next != NULL) trenutni = trenutni-> next;
		
		trenutni->next = temp;
	}
	return prvi;
}		 

clan* formirajListu( FILE *f)
{
	clan  *prvi = NULL ;
	dete *det;
	char s[100];
	int ind=1;
	
	while(ind)
	{
		noviD(det);
		fgets(s,100,f);
		if (strcmp(s,"KRAJ\n")!=0)
		{
			
			det->ime = (char*)malloc(strlen(s)+1);
			strcpy(det->ime,s);
			
			fgets(s,100,f);
			det->otac = (char*)malloc(strlen(s)+1);
			strcpy(det->otac,s);
			
			fgets(s,100,f);
			det->majka = (char*)malloc(strlen(s)+1);
			strcpy(det->majka,s);
			
			prvi=dodajNaKraj(prvi,det);
			
		}
		else ind = 0;
	}
	return prvi;
}
			
void ispis(clan *prvi)
{
	dete *det;
	clan *tren;
	tren = prvi;
	//det = tren->podatak;
	while(tren)		
	{
			det = tren->podatak;
		printf("Ime deteta:  %s\n",det->ime);
		printf("Ime oca:  %s\n",det->otac);
		printf("Ime majke:  %s\n",det->majka);
		tren=tren->next;
	}
}
	
	
	
main(int argc, char *argv[])
{
	clan *prvi=NULL;
	
	FILE *f;
	printf("broj argumenata je %d\n In je: %s\n",argc,argv[1]);
	
	f = fopen(argv[1],"r");
	prvi=formirajListu(f);
	ispis(prvi);
	fclose(f);	
}

