#include <stdio.h>
#include <string.h>
#include <stdlib.h>

struct dete
{
	char *ime,*otac,*majka;
};

struct lista
{
	struct dete *podatak;
	struct lista *sledeci;
};

#define novi(x) x=(struct dete *)malloc(sizeof(struct dete))
#define novi2(x) x=(struct lista *)malloc(sizeof(struct lista))

struct lista *dodaj(struct lista *gl,struct dete *q)
{
	struct lista *pom,*new;
	novi2(new);
	if(!new)
	{
		printf("greska pri alokaciji");
		exit(0);
	}
	new->podatak=q;
	new->sledeci=NULL;
	if (gl==NULL) gl=new;
	else
	{
		pom=gl;
		while(pom->sledeci!=NULL) pom=pom->sledeci;
		new->sledeci=pom->sledeci;
		pom->sledeci=new;
	}
	return gl;	
}

struct lista *formiraj(struct lista *glava,FILE *f)
{
	struct dete *sd;
	char niz[100];
	
	fgets(niz,100,f);
	while ((!feof(f)) || (strcmp(niz,"KRAJ")==0))
	{
		novi(sd);
		if(!sd)
		{
			printf("greska pri alokaciji");
			exit(0);
		}
		sd->ime=(char *)malloc(strlen(niz)+1);
		strcpy(sd->ime,niz);
		fgets(niz,100,f);
		
		sd->otac=(char *)malloc(strlen(niz)+1);
		strcpy(sd->otac,niz);
		fgets(niz,100,f);
		
		sd->majka=(char *)malloc(strlen(niz)+1);
		strcpy(sd->majka,niz);
		
		glava=dodaj(glava,sd);
		fgets(niz,100,f);	
		
	}
	
	return glava;
}

void ispis(struct lista *gl,FILE *f)
{
	struct lista *pom;
	struct dete *sd;
	pom=gl;
	while(pom->sledeci!=NULL)
	{
		sd=pom->podatak;
		fprintf(f,"%s",sd->ime);
		fprintf(f,"%s",sd->otac);
		fprintf(f,"%s",sd->majka);
		fprintf(f,"\n");
		pom=pom->sledeci;
	}
}

main(int argc, char *argv[])
{
	struct lista *glava=NULL;
	FILE *f,*p;
	
	f=fopen(argv[1],"r");
	p=fopen(argv[2],"w");
	if(!p)
	{
		printf("Greska pri otvaranju");
		exit(0);
	}
	
	glava=formiraj(glava,f);
	ispis(glava,p);
	
	fclose(p);
	fclose(f);
}
